%define anolis_release 1
Name:		libstemmer
Version:	2.2.0
Release:	%{anolis_release}%{?dist}
Summary:	C stemming algorithm library
URL:		https://snowballstem.org/
# https://snowballstem.org/license.html
License:	BSD
Source0:        https://snowballstem.org/dist/libstemmer_c-%{version}.tar.gz
Source1:	Notice.txt
Source2:	BSD.txt
Patch1000:      1000-add-rules-to-make-libstemmer.so.patch

BuildRequires:  gcc
BuildRequires: make

%description
Snowball stemming algorithms for use in Information Retrieval Snowball 
provides access to efficient algorithms for calculating a "stemmed" 
form of a word.  This is a form with most of the common morphological 
endings removed; hopefully representing a common linguistic base form.  
This is most useful in building search engines and information 
retrieval software; for example, a search with stemming enabled should 
be able to find a document containing "cycling" given the query 
"cycles".

Snowball provides algorithms for several (mainly European) languages. 
It also provides access to the classic Porter stemming algorithm for 
English: although this has been superseded by an improved algorithm, 
the original algorithm may be of interest to information retrieval 
researchers wishing to reproduce results of earlier experiments.


%package devel
Summary:	C stemming algorithm library developer files
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files of libstemmer.

Snowball stemming algorithms for use in Information Retrieval Snowball 
provides access to efficient algorithms for calculating a "stemmed" 
form of a word.  This is a form with most of the common morphological 
endings removed; hopefully representing a common linguistic base form.  
This is most useful in building search engines and information 
retrieval software; for example, a search with stemming enabled should 
be able to find a document containing "cycling" given the query 
"cycles".

Snowball provides algorithms for several (mainly European) languages. 
It also provides access to the classic Porter stemming algorithm for 
English: although this has been superseded by an improved algorithm, 
the original algorithm may be of interest to information retrieval 
researchers wishing to reproduce results of earlier experiments.


%prep
%autosetup -p1 -n %{name}_c-%{version}

%build
make libstemmer.so %{?_smp_mflags} CFLAGS="%{optflags} -fPIC -Iinclude" LDFLAGS="$RPM_LD_FLAGS"

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
install -p -D -m 755	libstemmer.so.0.0.0	%{buildroot}%{_libdir}/
ln -s libstemmer.so.0.0.0	%{buildroot}%{_libdir}/libstemmer.so.0
ln -s libstemmer.so.0.0.0	%{buildroot}%{_libdir}/libstemmer.so
install -p -D -m 644	include/*	%{buildroot}%{_includedir}/

cp %{SOURCE1} %{SOURCE2} .

%ldconfig_scriptlets

%files
%doc Notice.txt BSD.txt README
%{_libdir}/libstemmer.so.*

%files devel
%{_libdir}/libstemmer.so
%{_includedir}/*

%changelog
* Tue Apr 19 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.2.0-1
- init from upstream
